title: Upload From Git keywords: - upload from git - post - upload - from - git # Upload From Git Upload automation from Git repository. #### Query Parameters **`organization_id`** string required The organization id parameter. #### Request Body **`git_url`** string required Git repository URL **`branch`** string optional ยท Defaults to `main` Git branch **`automation_name`** string required Automation name **`git_access_token`** string optional Git access token for private repositories ## Returns **`success`** boolean Success **`automation_id`** string Automation Id **`message`** string Message Example ```bash cURL curl -X POST "https://api.aitronos.com/v1/streamline/automations/upload/git" \ -H "X-API-Key: $FREDDY_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "git_url": "your_git_url", "automation_name": "your_automation_name" }' ``` ```python Python import os import requests api_key = os.environ["FREDDY_API_KEY"] response = requests.post( "https://api.aitronos.com/v1/streamline/automations/upload/git", headers={"X-API-Key": api_key}, json={'git_url': 'your_git_url', 'automation_name': 'your_automation_name'} ) print(response.json()) ``` ```javascript JavaScript const apiKey = process.env.FREDDY_API_KEY; const response = await fetch('https://api.aitronos.com/v1/streamline/automations/upload/git', { method: 'POST', headers: { 'X-API-Key': apiKey, 'Content-Type': 'application/json' }, body: JSON.stringify({"git_url": "your_git_url", "automation_name": "your_automation_name"}) }); const data = await response.json(); console.log(data); ``` **Response:** ```json 200 OK { "success": true, "automation_id": "abc123def456", "message": "Operation completed successfully" } ``` Errors ```json 401 Unauthorized { "success": false, "error": { "code": "AUTHENTICATION_REQUIRED", "message": "Authentication required. Please provide a valid API key.", "system_message": "Missing or invalid authorization header", "type": "authentication_error", "status": 401, "details": {}, "trace_id": "req_abc123xyz", "timestamp": "2025-11-11T10:30:00Z" } } ``` ```json 403 Forbidden { "success": false, "error": { "code": "INSUFFICIENT_PERMISSIONS", "message": "You do not have permission to access this resource.", "system_message": "Insufficient permissions for this operation", "type": "authorization_error", "status": 403, "details": {}, "trace_id": "req_def456uvw", "timestamp": "2025-11-11T10:30:00Z" } } ``` ## Related Resources - [List Automations](/docs/api-reference/streamline/automations-list)